org.encog.neural.networks.layers

## Interface Layer

- All Known Implementing Classes:
    BasicLayer

      public interface Layer

  This interface defines all necessary methods for a neural network layer.
  Author:
    jheaton

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationFunction` | `getActivationFunction()`
    `double` | `getBiasActivation()` Most layer types will default this value to one.
    `BasicNetwork` | `getNetwork()`
    `int` | `getNeuronCount()`
    `boolean` | `hasBias()`
    `void` | `setActivation(ActivationFunction activation)` Set the activation function.
    `void` | `setBiasActivation(double activation)` Most layer types will default this value to one.
    `void` | `setNetwork(BasicNetwork network)` Set the network that this layer belongs to.

- - ### Method Detail

    - #### getActivationFunction

          ActivationFunction getActivationFunction()

      Returns:
        The activation function used for this layer.

    - #### getNetwork

          BasicNetwork getNetwork()

      Returns:
        The network that this layer is attached to.

    - #### getNeuronCount

          int getNeuronCount()

      Returns:
        The neuron count.

    - #### hasBias

          boolean hasBias()

      Returns:
        True if this layer has a bias.

    - #### setNetwork

          void setNetwork(BasicNetwork network)

      Set the network that this layer belongs to.
      Parameters:
        `network` - The network.

    - #### setBiasActivation

          void setBiasActivation(double activation)

      Most layer types will default this value to one. However, it is possible to use other values. This is the activation that will be passed over the bias weights to the inputs of this layer. See the Layer interface documentation for more information on how Encog handles bias values.
      Parameters:
        `activation` - The activation for the bias weights.

    - #### getBiasActivation

          double getBiasActivation()

      Most layer types will default this value to one. However, it is possible to use other values. This is the activation that will be passed over the bias weights to the inputs of this layer. See the Layer interface documentation for more information on how Encog handles bias values.
      Returns:
        The bias activation for this layer.

    - #### setActivation

          void setActivation(ActivationFunction activation)

      Set the activation function.
      Parameters:
        `activation` - The activation function.

Copyright © 2014. All Rights Reserved.